diff --git a/src/test/regress/expected/event_trigger_0.out b/src/test/regress/expected/event_trigger_0.out
new file mode 100644
index 0000000..e69de29
diff --git a/src/test/regress/parallel_schedule b/src/test/regress/parallel_schedule
index 1f8f098..ed7a8df 100644
--- a/src/test/regress/parallel_schedule
+++ b/src/test/regress/parallel_schedule
@@ -10,6 +10,8 @@
 # interferes with crash-recovery testing.
 test: tablespace
 
+test: event_trigger_0
+
 # ----------
 # The first group of parallel tests
 # ----------
diff --git a/src/test/regress/serial_schedule b/src/test/regress/serial_schedule
index 04206c3..2101051 100644
--- a/src/test/regress/serial_schedule
+++ b/src/test/regress/serial_schedule
@@ -1,6 +1,7 @@
 # src/test/regress/serial_schedule
 # This should probably be in an order similar to parallel_schedule.
 test: tablespace
+test: event_trigger_0
 test: boolean
 test: char
 test: name
diff --git a/src/test/regress/sql/event_trigger_0.sql b/src/test/regress/sql/event_trigger_0.sql
new file mode 100644
index 0000000..c806589
--- /dev/null
+++ b/src/test/regress/sql/event_trigger_0.sql
@@ -0,0 +1,24 @@
+
+CREATE OR REPLACE FUNCTION create_table_before_proc() RETURNS event_trigger AS $$
+BEGIN
+   	RAISE WARNING 'preparing to create table: % %', tg_event, tg_tag;
+END;
+$$ LANGUAGE plpgsql;
+
+CREATE EVENT TRIGGER create_table_before_trigger
+	ON ddl_command_start
+	WHEN TAG IN ('CREATE TABLE')
+	EXECUTE PROCEDURE create_table_before_proc();
+
+CREATE OR REPLACE FUNCTION create_table_after_proc() RETURNS event_trigger AS $$
+BEGIN
+   	RAISE WARNING 'finished creating table: % %', tg_event, tg_tag;
+END;
+$$ LANGUAGE plpgsql;
+
+CREATE EVENT TRIGGER create_table_after_trigger
+	ON ddl_command_end
+	WHEN TAG IN ('CREATE TABLE')
+	EXECUTE PROCEDURE create_table_after_proc();
+
+
